curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations/stats' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"active_reservations": 1,
"expired_not_cleaned": 1,
"expiring_within_24h": 1,
"stats_at": "2026-08-31T14:22:05Z",
"total_reservations": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Get reservation stats
Reservation statistics
GET
/
api
/
v1
/
inventory
/
reservations
/
stats
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations/stats' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"active_reservations": 1,
"expired_not_cleaned": 1,
"expiring_within_24h": 1,
"stats_at": "2026-08-31T14:22:05Z",
"total_reservations": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Response
ApiResponse_ReservationStatsResponse
object
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Reservation statistics |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations/stats' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"active_reservations": 1,
"expired_not_cleaned": 1,
"expiring_within_24h": 1,
"stats_at": "2026-08-31T14:22:05Z",
"total_reservations": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026